import java.util.*;
import tester.*;
import interfaces.*;

/**
 * The test suite for the US map exploration and Lab 10 Fall 2007
 * 
 * @author Viera K. Proulx
 *
 */
public class Examples implements Testable{
  
  /** data for the methods and tests */
  HashMap<City, State> newEngland = new HashMap<City, State>();
  
  ArrayList<String> MEneighbors = new ArrayList<String>();
  ArrayList<String> MAneighbors = new ArrayList<String>();
  ArrayList<String> CTneighbors = new ArrayList<String>();
  
  City concord = new City("03301", "Concord", "NH", 71.527734, 43.218525);
  City montpellier = new City("05602", "Montpelier", "VT", 72.576992, 44.264082);
  City augusta = new City("04330", "Augusta", "ME", 69.766548, 44.323228);
  City boston = new City("02115", "Boston", "MA", 71.092215, 42.342706);
  City providence = new City("02908", "Providence", "RI", 71.437684, 41.838294);
  City hartford = new City("06120", "Hartford", "CT", 72.675807, 41.78596);

  
  State ME = new State("ME", augusta, MEneighbors );
  State MA = new State("MA", boston, MAneighbors );
  State CT = new State("CT", hartford, CTneighbors );
  // complete the instances of states
  // ...................
  
  /** generate lists of neighboring states */
  public void makeNewEngland(){

    MEneighbors.add("NH");
    // complete the lists of neighbors
    // ...............
 
 
  }
  
  /** generate New England states */
  public void makeStates(){
    // add all states to the HashMap
    // .....................
    
    
    newEngland.put(hartford, CT);
    
    City boston2 = new City("02115", "Boston", "MA", 71.092215, 42.342706);
    newEngland.put(boston2, MA);
  }

  
  /**
   * The test driver
   */
  public void tests(Tester t){
    this.makeNewEngland();
    this.makeStates();
    
    System.out.println("Concord: " + newEngland.get(concord));
    System.out.println("Montpellier: " + newEngland.get(montpellier));
    System.out.println("Augusta: " + newEngland.get(augusta));
    System.out.println("Boston: " + newEngland.get(boston));
    System.out.println("Providence: " + newEngland.get(providence));
    System.out.println("Hartford: " + newEngland.get(hartford));
   
    t.test("map size:", newEngland.size(), 6);
    
    State st = newEngland.get(boston);
  
    t.test("same state method -- should succeed: ", 
        st, 
        MA);
  
    t.testReport();
    t.fullTestReport();
  }
  
  
}